
package com.ejie.ad74a.ws.client.firmaX43fn;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Clase Java para placementType.
 * 
 * <p>El siguiente fragmento de esquema especifica el contenido que se espera que haya en esta clase.
 * <p>
 * <pre>
 * &lt;simpleType name="placementType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="detached"/&gt;
 *     &lt;enumeration value="enveloped"/&gt;
 *     &lt;enumeration value="enveloping"/&gt;
 *     &lt;enumeration value="idetached"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "placementType")
@XmlEnum
public enum PlacementType {

    @XmlEnumValue("detached")
    DETACHED("detached"),
    @XmlEnumValue("enveloped")
    ENVELOPED("enveloped"),
    @XmlEnumValue("enveloping")
    ENVELOPING("enveloping"),
    @XmlEnumValue("idetached")
    IDETACHED("idetached");
    private final String value;

    PlacementType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static PlacementType fromValue(String v) {
        for (PlacementType c: PlacementType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
